<bugID>767322<Summary>Implement Options to edit which time range of downloads that should be shown in the Download Panel</Summary><Description>The download panel should show downloads that the users download up to a certain of time. By adding the option to control the amount of time, it will be much efficient for the user, as he do not need to go to the Download in the Library to manually search for the downloads he/she made last night. 

This will allow users to manually control which day download should the download panel show, for how long should it show, and how many download the panel should show before removing it visually in the download panel.(the last example meant that user could want Download panel to show 10 downloads for today only, meaning that the minute he download the 11th download today, the first one will disappear into the library.)

There is a lot that could be done with this new Download Panel. The idea is great, but with this option it could be even better for the users of Firefox.</Description></bugID>